Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.datatype
Class ENTITYDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.AbstractStringValidator
                  |
                  +--weblogic.apache.xerces.validators.datatype.StringDatatypeValidator
                        |
                        +--weblogic.apache.xerces.validators.datatype.ENTITYDatatypeValidator

public class ENTITYDatatypeValidator
extends StringDatatypeValidator

ENTITYDatatypeValidator implements the DatattypeValidator interface. This validator embodies the ENTITY attribute type from XML1.0 recommendation. The Value space of ENTITY is the set of all strings that match the NCName production and have been declared as an unparsed entity in a document type definition. The Lexical space of Entity is the set of all strings that match the NCName production. The value space of ENTITY is scoped to a specific instance document. Some caveats: Because of the Xerces Architecture, where all symbols are stored in a StringPool and Strings are referenced by int then this datatype needs to know about StringPool. The first time that this datatype is invoked we pass a message containing 2 references needed by this validator: - a reference to the DefaultEntityHandler used by the XMLValidator. - a reference to the StringPool. This validator extends also the XML1.0 validation provided in DTD by providing "only on Schemas" facet validation. This validator also embodies the Derived datatype ENTITIES which is an ENTITY derived by list. These validators can be supplied by the application writer and may be useful as standalone code as well as plugins to the validator architecture.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: ENTITYDatatypeValidator.java,v 1.15 2001/06/20 18:37:39 sandygao Exp $
Author:
  Jeffrey Rodriguez-, Mark Swinkles - List Validation refactoring
See Also:
  `DatatypeValidator`, `DatatypeValidatorFactoryImpl`, `DatatypeValidatorFactory`, `XMLValidator`

Field Summary
`static int` | `ENTITY_VALIDATE`

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractStringValidator
`FACET_SPECIAL_TOKEN, fEnumeration, fLength, fMaxLength, fMinLength, fTokenType, SPECIAL_TOKEN_ENTITY, SPECIAL_TOKEN_IDNAME, SPECIAL_TOKEN_IDNCNAME, SPECIAL_TOKEN_IDREFNAME, SPECIAL_TOKEN_IDREFNCNAME, SPECIAL_TOKEN_NAME, SPECIAL_TOKEN_NCNAME, SPECIAL_TOKEN_NMTOKEN, SPECIAL_TOKEN_NONE`

Fields inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`ENTITYDatatypeValidator()`
`ENTITYDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `compare(java.lang.String content1, java.lang.String content2)` REVISIT Compares two Datatype for order
`short` | `getWSFacet()` return value of whiteSpace facet
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` Checks that "content" string is valid datatype.

Methods inherited from class weblogic.apache.xerces.validators.datatype.StringDatatypeValidator
`assignAdditionalFacets, checkBaseFacetConstraints, inheritAdditionalFacets`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractStringValidator
`checkValueSpace, derivationList, getLength, setTokenType, validateToken`

Methods inherited from class weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTITY_VALIDATE

    public static final int ENTITY_VALIDATE

Constructor Detail

### ENTITYDatatypeValidator

    public ENTITYDatatypeValidator()
                            throws InvalidDatatypeFacetException

### ENTITYDatatypeValidator

    public ENTITYDatatypeValidator(DatatypeValidator base,
                                   java.util.Hashtable facets,
                                   boolean derivedByList)
                            throws InvalidDatatypeFacetException

Method Detail

### getWSFacet

    public short getWSFacet()

  return value of whiteSpace facet

  Overrides:
    getWSFacet in class StringDatatypeValidator

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  Checks that "content" string is valid datatype. If invalid a Datatype validation exception is thrown.

  Parameters:
    `content` - A string containing the content to be validated
    `derivedBylist` - Flag which is true when type is derived by list otherwise it it is derived by extension.
  Throws:
    throws - InvalidDatatypeException if the content is invalid according to the rules for the validators
    InvalidDatatypeValueException -
  Overrides:
    validate in class AbstractStringValidator
  See Also:
    `InvalidDatatypeValueException`

### compare

    public int compare(java.lang.String content1,
                       java.lang.String content2)

  REVISIT Compares two Datatype for order

  Returns:
  Overrides:
    compare in class StringDatatypeValidator

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.

  Overrides:
    clone in class StringDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference